OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
MCFHandler< Tpass > Class Template Reference

Link graph handler for MCF. More...

`#include <mcf.h>`

Inheritance diagram for MCFHandler< Tpass >:

## Public Member Functions
virtual void | Run (LinkGraphJob &job) const
| Run the calculation.
virtual | ~MCFHandler ()
| Destructor.
Public Member Functions inherited from ComponentHandler
virtual | ~ComponentHandler ()
| Destroy the handler.

## Detailed Description

### template<class Tpass>
class MCFHandler< Tpass >

Link graph handler for MCF.

Creates MultiCommodityFlow instance according to the template parameter.

Definition at line 77 of file mcf.h.

## Constructor & Destructor Documentation

template<class Tpass >

virtual MCFHandler< Tpass >::~MCFHandler | ( |  | ) |
| inline virtual

Destructor.

Has to be given because of virtual Run().

Definition at line 89 of file mcf.h.

## Member Function Documentation

template<class Tpass >

virtual void MCFHandler< Tpass >::Run | ( | LinkGraphJob & | job | ) | const
| inline virtual

Run the calculation.

Parameters

  graph | Component to be calculated.

Implements ComponentHandler.

Definition at line 84 of file mcf.h.

The documentation for this class was generated from the following file:

- src/linkgraph/mcf.h